# An example of "fit the same model to a collection of data sets" kind of array job

library(stringr)

#After all the jobs in the array have finished I can go on with post-processing:

resultnames <- list.files("result_dir")
nresults <- length(resultnames) #in this case equal to ndata of course
#but it might not always be the case
allresults <- matrix(NA,nrow=nresults,ncol=2)

for (i in 1:nresults)
{
  allresults[i,] <- scan(paste0("result_dir/",resultnames[i]))
}

colMeans(allresults) #should be pretty close to 1 and 2 of the true model
plot(allresults[,1],allresults[,2])
#and we see a correlation between the estimated model parameters
